summaryrefslogtreecommitdiffstats
path: root/academic/SU2/SU2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/SU2/SU2.SlackBuild')
-rw-r--r--academic/SU2/SU2.SlackBuild39
1 files changed, 12 insertions, 27 deletions
diff --git a/academic/SU2/SU2.SlackBuild b/academic/SU2/SU2.SlackBuild
index ec10bbbfb3..60fe3cd784 100644
--- a/academic/SU2/SU2.SlackBuild
+++ b/academic/SU2/SU2.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for SU2
#
-# Copyright 2019 Judah Milgram, Washington DC USA
+# Copyright 2019-2023 Judah Milgram, Washington DC USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,11 +22,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=SU2
-VERSION=${VERSION:-6.2.0}
+VERSION=${VERSION:-7.5.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -39,9 +38,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -80,33 +76,22 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-./bootstrap
-
-# For serial version, delete --enable-mpi, --with-cxx, and --with-cc
+CXXFLAGS="-march=native -funroll-loops -O2" \
+ ./meson.py build --prefix=/usr ${MESONOPTS}
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- --build=$ARCH-slackware-linux \
- --enable-mpi \
- --with-cxx=/usr/bin/mpicxx \
- --with-cc=/usr/bin/mpicc
+# This fix build on current
+sed -i '/#pragma once/a #include <cstdint>' SU2_CFD/include/output/filewriter/CParaviewXMLFileWriter.hpp
-make
-make install-strip DESTDIR=$PKG
+DESTDIR=$PKG ./ninja -C build install
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | \
+ grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
-COPYING INSTALL README.md \
+AUTHORS.md COPYING LICENSE.md README.md \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild